Ming Shing Group Holdings

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/ming-shing-group-holdings/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/ming-shing-group-holdings/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1736726400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.ms100.com.hk/press-release/",
    "holding_balance": 500.0,
    "holding_net_change": 500.0,
    "transaction_value_usd": 47187500.0,
    "average_entry_value_usd": 94375.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1740700800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/Archives/edgar/data/1956166/000149315225009802/form6-k.htm",
    "holding_balance": 833.0,
    "holding_net_change": 333.0,
    "transaction_value_usd": 27157815.0,
    "average_entry_value_usd": 81555.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/ming-shing-group-holdings/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    833.0
  ],
  [
    1779062400000,
    833.0
  ],
  [
    1779148800000,
    833.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/ming-shing-group-holdings/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    64499073.38
  ],
  [
    1779062400000,
    64094576.91
  ],
  [
    1779148800000,
    63941088.33
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/ming-shing-group-holdings/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 1.692,
    "date": "2026-05-15",
    "high": 1.9,
    "open": 1.88,
    "close": 1.83,
    "volume": 32500
  },
  {
    "low": 1.68,
    "date": "2026-05-18",
    "high": 1.865,
    "open": 1.865,
    "close": 1.68,
    "volume": 76100
  },
  {
    "low": 1.6901,
    "date": "2026-05-19",
    "high": 1.79,
    "open": 1.6905,
    "close": 1.73,
    "volume": 51713
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/ming-shing-group-holdings/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0.423,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/ming-shing-group-holdings/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 58.72,
  "six_month_return": 8.12,
  "three_month_return": 60.19
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/ming-shing-group-holdings/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 293.3,
  "total_btc_percentage": 0.004,
  "share_price_change_state": "down"
}